Imports Microsoft.VisualBasic
Imports System
Imports System.Linq
Imports System.Text
Imports DevExpress.Xpo
Imports DevExpress.ExpressApp
Imports System.ComponentModel
Imports DevExpress.ExpressApp.DC
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.Base
Imports System.Collections.Generic
Imports DevExpress.ExpressApp.Model
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation


<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent> _
Public Class FixedAssetsCard_OpenYear_PopUp
    Inherits BaseObject

    Private _TargetYear As Long

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        TargetYear = GetSQLTime(Session).Year + 1
    End Sub

    Property TargetYear As Long
        Get
            Return _TargetYear
        End Get
        Set(value As Long)
            SetPropertyValue("TargetYear", _TargetYear, value)
        End Set
    End Property
End Class
